Subject: bug#51547: closed (Re: bug#51547: Erase / on boot)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2022 14:14:02 +0000

Your bug report

#51547: Erase / on boot

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51547: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51547
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51547: Erase / on boot
From: Maxim Cournoyer <[email-masked]>
To: Tom Fitzhenry <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jul 2022 10:13:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tom,

Tom Fitzhenry <[email-masked]> writes:

> On 1/11/21 23:19, Tom Fitzhenry wrote:
>> A few issues:
>
> Another issue: /var/tmp/ is not created on boot, which breaks vi:
>
> tom@computer ~/src$ vi
> ex/vi: Error: /var/tmp/vi.recover: No such file or directory
> ex/vi: Modifications not recoverable if the session fails
> ex/vi: Error: /var/tmp/vi.recover/vi.u8Kkbb: No such file or directory

While interesting, this effort is not an actual bug and is a WIP it
seems, so I'm closing it.

Feel free to share progress or ask for guidance or [email-masked]!

Thanks!

Maxim

Subject: Erase / on boot
From: Tom Fitzhenry <[email-masked]>
To: [email-masked]
Date: Mon, 1 Nov 2021 22:13:43 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

This issue tracks the creation of a Guix System implementation of 
https://grahamc.com/blog/erase-your-darlings :

     "I erase my systems at every boot.
     [...]
     NixOS can boot with only two directories: /boot, and /nix."

I have a working prototype of 
https://elis.nu/blog/2020/05/nixos-tmpfs-as-root/ . I will submit some 
small fixes in the short term, and later some larger patches.

Ideally this will result in a cookbook entry, and a CI test.